import React, { FC } from 'react';
interface ISelectOption {
    label: string;
    value: string;
}
interface RenderOptionProp {
    isSelected: boolean;
    option: ISelectOption;
    getOptionRecommendedProps: (overrideProps?: Object) => Object;
}
type ISelectProps = {
    /**
     *  a function to define the selected item
     */
    onSelectedOptions?: (option: ISelectOption, optionsIndex: number) => void;
    /**
     * Data that must be rendered as a list
     */
    options?: ISelectOption[];
    /**
     * Custom Placehodler
     */
    label?: string;
    /**
     * Render the options in a custom JSX Element
     */
    renderOption?: (props: RenderOptionProp) => React.ReactNode;
};
/**
 * Custom Select Component build with accebility
 */
declare const Select: FC<ISelectProps>;
export default Select;
